/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface CustomFields {
    maxResults: number;
    startAt: number;
    self?: string;
    nextPage?: string;
    total?: number;
    isLast?: boolean;
    values?: {
        isLocked: boolean;
        isManaged: boolean;
        isAllProjects: boolean;
        projectsCount: number;
        screensCount: number;
        id?: string;
        name?: string;
        description?: string;
        type?: string;
        searcherKey?: string;
        self?: string;
        numericId?: number;
        projectIds?: number[];
        issueTypeIds?: string[];
        isTrusted?: boolean;
    }[];
}
//# sourceMappingURL=custom_field.d.ts.map