/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarUrls } from './avatarUrls';
import { JsonType } from './json_type';
export interface IssueGetEditMetadata {
    fields?: Record<string, {
        required: boolean;
        schema?: JsonType;
        name?: string;
        autoCompleteUrl?: string;
        hasDefaultValue?: boolean;
        operations?: string[];
        allowedValues?: any[];
        fieldId?: string;
    }>;
}
export interface IssueGetCreateMetadata {
    expand?: string;
    projects?: {
        expand?: string;
        self?: string;
        id?: string;
        key?: string;
        name?: string;
        avatarUrls?: AvatarUrls;
        issuetypes: {
            subtask: boolean;
            self?: string;
            id?: string;
            description?: string;
            iconUrl?: string;
            name?: string;
            avatarId?: string;
            expand?: string;
            fields?: Record<string, {
                required: boolean;
                schema?: JsonType;
                name?: string;
                autoCompleteUrl?: string;
                hasDefaultValue?: boolean;
                operations?: string[];
                allowedValues?: any[];
            }>;
        }[];
    }[];
}
//# sourceMappingURL=issue_metadata.d.ts.map