/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RoleActor } from './role_actor';
export interface ProjectRole {
    self?: string;
    name?: string;
    id?: number;
    description?: string;
    actors?: RoleActor[];
}
export interface CreateUpdateProjectRole {
    name?: string;
    description?: string;
}
export interface UpdateFullyProjectRole {
    name: string;
    description: string;
}
export interface ActorInput {
    user?: string[];
    group?: string[];
}
//# sourceMappingURL=project_role.d.ts.map