/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueType } from './issue_type';
import { UserFull } from './user';
export interface Workflow {
    name?: string;
    description?: string;
    lastModifiedDate?: string;
    lastModifiedUser?: string;
    steps?: number;
    default?: boolean;
    isDefault?: boolean;
}
export interface WorkflowScheme {
    id?: number;
    name?: string;
    description?: string;
    defaultWorkflow?: string;
    issueTypeMappings?: Record<string, any>;
    originalDefaultWorkflow?: string;
    originalIssueTypeMappings?: Record<string, any>;
    draft?: boolean;
    lastModifiedUser?: UserFull;
    lastModified?: string;
    updateDraftIfNeeded?: boolean;
    issueTypes?: Record<string, IssueType>;
}
//# sourceMappingURL=workflow.d.ts.map