/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserPartial } from './user';
export interface Worklog {
    self?: string;
    author?: UserPartial;
    updateAuthor?: UserPartial;
    comment?: string;
    created?: string;
    updated?: string;
    visibility?: {
        type?: 'group' | 'role';
        value?: string;
    };
    started?: string;
    timeSpent?: string;
    timeSpentSeconds?: number;
    id?: string;
    issueId?: string;
}
export interface Worklogs {
    startAt?: number;
    maxResults?: number;
    total?: number;
    worklogs?: Worklog[];
}
//# sourceMappingURL=worklog.d.ts.map