/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ColumnItem } from '../../definitions/column_item';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetFilterDefaultColumnsRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetFilterDefaultColumnsResponseOK extends Array<ColumnItem> {
}
export declare type GetFilterDefaultColumnsResponseError = undefined;
export interface SetFilterDefaultColumnsRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
    body: {
        columns: string[];
    };
}
export declare type SetFilterDefaultColumnsResponseOK = undefined;
export declare type SetFilterDefaultColumnsResponseError = undefined;
export interface ResetFilterColumnsRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export declare type ResetFilterColumnsResponseOK = undefined;
export declare type ResetFilterColumnsResponseError = undefined;
//# sourceMappingURL=column.d.ts.map