/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { EntityProperty } from '../../../definitions/common';
import { PropertyKeys } from '../../../definitions/property_key';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetIssueCommentPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    commentId: string | number;
}
export interface GetIssueCommentPropertyKeysResponseOK extends PropertyKeys {
}
export declare type GetIssueCommentPropertyKeysResponseError = undefined;
export interface DeleteIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    commentId: string | number;
    propertyKey: string | number;
}
export declare type DeleteIssueCommentPropertyResponseOK = undefined;
export declare type DeleteIssueCommentPropertyResponseError = undefined;
export interface SetIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    commentId: string | number;
    propertyKey: string | number;
    body: Record<string, any>;
}
export declare type SetIssueCommentPropertyResponseOK = undefined;
export declare type SetIssueCommentPropertyResponseError = undefined;
export interface GetIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    commentId: string | number;
    propertyKey: string | number;
}
export interface GetIssueCommentPropertyResponseOK extends EntityProperty {
}
export declare type GetIssueCommentPropertyResponseError = undefined;
//# sourceMappingURL=property.d.ts.map