/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { CustomFields } from '../../../definitions/custom_field';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetIssueCustomFieldsRequest extends HeadersOption, ErrorStrategyOption {
    /**
    * Default: 1
    */
    startAt?: number;
    /**
     * Default: 50
     */
    maxResults?: number;
    search?: string;
    projectIds?: (string | number)[];
    screenIds?: (string | number)[];
    types?: string[];
}
export interface GetIssueCustomFieldsResponseOK extends CustomFields {
}
export declare type GetIssueCustomFieldsResponseError = undefined;
//# sourceMappingURL=custom.d.ts.map