/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { NotificationScheme, NotificationSchemes } from '../../../definitions/notification_scheme';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetNotificationSchemesRequest extends HeadersOption, ErrorStrategyOption {
    startAt?: number;
    maxResults?: number;
    expand?: string;
}
export interface GetNotificationSchemesResponseOK extends NotificationSchemes {
}
export declare type GetNotificationSchemesResponseError = undefined;
export interface GetNotificationSchemeRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
    expand?: string;
}
export interface GetNotificationSchemeResponseOK extends NotificationScheme {
}
export declare type GetNotificationSchemeResponseError = undefined;
//# sourceMappingURL=scheme.d.ts.map