/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { IssueSearch } from '../../definitions/issue_search';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface SearchIssuesByJqlRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        jql?: string;
        startAt?: number;
        maxResults?: number;
        fields?: string[];
        validateQuery?: boolean;
    };
}
export interface SearchIssuesByJqlResponseOK extends IssueSearch {
}
export declare type SearchIssuesByJqlResponseError = undefined;
//# sourceMappingURL=search.d.ts.map