/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { SecurityScheme, SecuritySchemes } from '../../../definitions/issue_security_scheme';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetIssueSecuritySchemesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetIssueSecuritySchemesResponseOK extends SecuritySchemes {
}
export declare type GetIssueSecuritySchemesResponseError = undefined;
export interface GetIssueSecuritySchemeRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetIssueSecuritySchemeResponseOK extends SecurityScheme {
}
export declare type GetIssueSecuritySchemeResponseError = undefined;
//# sourceMappingURL=scheme.d.ts.map