/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Permissions } from '../definitions/permissions';
import { ErrorStrategyOption } from '../errorStrategy';
export interface GetMyPermissionsRequest extends HeadersOption, ErrorStrategyOption {
    projectKey?: string;
    projectId?: string;
    issueKey?: string;
    issueId?: string;
}
export interface GetMyPermissionsResponseOK extends Permissions {
}
export declare type GetMyPermissionsResponseError = undefined;
export interface GetPermissionsRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetPermissionsResponseOK extends Permissions {
}
export declare type GetPermissionsResponseError = undefined;
//# sourceMappingURL=permission.d.ts.map