/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ProjectRole } from '../../definitions/project_role';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetProjectRolesRequest extends HeadersOption, ErrorStrategyOption {
    projectIdOrKey: string;
}
export interface GetProjectRolesResponseOK extends Record<string, string> {
}
export declare type GetProjectRolesResponseError = undefined;
export interface GetProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    projectIdOrKey: string;
    id: string | number;
}
export interface GetProjectRoleResponseOK extends ProjectRole {
}
export declare type GetProjectRoleResponseError = undefined;
//# sourceMappingURL=role.d.ts.map