/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { SecurityLevelList } from '../../definitions/security_level_list';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetProjectSecurityLevelsRequest extends HeadersOption, ErrorStrategyOption {
    projectKeyOrId: string;
}
export interface GetProjectSecurityLevelsResponseOK extends SecurityLevelList {
}
export declare type GetProjectSecurityLevelsResponseError = undefined;
//# sourceMappingURL=security.d.ts.map