/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EntityProperty } from './common';
import { UserPartial } from './user';
export interface Comment {
    self?: string;
    id?: string;
    author?: UserPartial;
    body?: string;
    renderedBody?: string;
    updateAuthor?: UserPartial;
    created?: string;
    updated?: string;
    visibility?: {
        type?: 'group' | 'role';
        value?: string;
    };
    properties?: EntityProperty[];
}
export interface Comments {
    startAt?: number;
    maxResults?: number;
    total?: number;
    comments?: Comment[];
}
//# sourceMappingURL=comment.d.ts.map