/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldDetails } from './field_details';
import { Group } from './group';
import { ProjectRole } from './project_role';
import { UserFull } from './user';
export interface PermissionGrant {
    id?: number;
    self?: string;
    holder?: {
        type?: string;
        parameter?: string;
        user?: UserFull;
        group?: Group;
        field?: FieldDetails;
        projectRole?: ProjectRole;
        expand?: string;
    };
    permission?: string;
}
export interface PermissionGrants {
    permissions?: PermissionGrant[];
}
export interface PermissionScheme {
    expand?: string;
    id?: number;
    self?: string;
    name?: string;
    description?: string;
    permissions?: PermissionGrant[];
}
export interface PermissionSchemes {
    permissionSchemes?: PermissionScheme[];
}
export interface PermissionSchemeAttribute {
    key?: string;
    value?: string;
}
//# sourceMappingURL=permission_scheme.d.ts.map