/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ScreenableTab {
    id?: number | string;
    name?: string;
}
export interface ScreenableField {
    id?: string | number;
    name?: string;
    type?: string;
}
export interface Screen {
    id?: number;
    name?: string;
    description?: string;
    fieldScreenSchemes?: {
        id?: number;
        description?: string;
        name?: string;
    }[];
    fieldScreenWorkflows?: {
        name?: string;
        actions?: {
            id: number;
            name?: string;
            firstStep?: number;
        }[];
        mode?: string;
    }[];
    deletable?: boolean;
    expand?: string;
}
export interface ScreensWithPagination {
    startAt?: number;
    maxResults?: number;
    total?: number;
    screens?: Screen[];
}
//# sourceMappingURL=screen.d.ts.map