/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarUrls } from './avatar_urls';
import { SimpleListWrapper } from './simple_list_wrapper';
export interface UserPartial {
    active: boolean;
    self?: string;
    key?: string;
    name?: string;
    emailAddress?: string;
    avatarUrls?: AvatarUrls;
    displayName?: string;
    timeZone?: string;
}
export interface UserFull extends UserPartial {
    locale?: string;
    groups?: SimpleListWrapper;
    applicationRoles?: SimpleListWrapper;
    expand?: string;
    deleted?: boolean;
}
//# sourceMappingURL=user.d.ts.map