/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ErrorStrategyOption } from '../../errorStrategy';
import { ApplicationRole } from '../../definitions/application_role';
export interface GetApplicationRolesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetApplicationRolesResponseOK extends Array<ApplicationRole> {
}
export declare type GetApplicationRolesResponseError = undefined;
export interface GetApplicationRoleRequest extends HeadersOption, ErrorStrategyOption {
    key: string;
}
export interface GetApplicationRoleResponseOK extends ApplicationRole {
}
export declare type GetApplicationRoleResponseError = undefined;
export interface UpdateApplicationRoleRequest extends HeadersOption, ErrorStrategyOption {
    key: string;
    body: ApplicationRole;
}
export interface UpdateApplicationRoleResponseOK extends ApplicationRole {
}
export declare type UpdateApplicationRoleResponseError = undefined;
//# sourceMappingURL=role.d.ts.map