/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Dashboard, Dashboards } from '../definitions/dashboard';
import { ErrorStrategyOption } from '../errorStrategy';
export interface GetAllDashboardsRequest extends HeadersOption, ErrorStrategyOption {
    filter?: 'favourite' | 'my';
    startAt?: number;
    maxResults?: number;
}
export interface GetAllDashboardsResponseOK extends Dashboards {
}
export declare type GetAllDashboardsResponseError = undefined;
export interface GetDashboardByIdRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetDashboardByIdResponseOK extends Dashboard {
}
export declare type GetDashboardByIdResponseError = undefined;
//# sourceMappingURL=dashboard.d.ts.map