/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { DefaultShareScope } from '../../definitions/default_share_scope';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetDefaultShareScopeRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetDefaultShareScopeResponseOK extends DefaultShareScope {
}
export declare type GetDefaultShareScopeResponseError = undefined;
export interface SetDefaultShareScopeRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        scope?: 'GLOBAL' | 'PRIVATE';
    };
}
export interface SetDefaultShareScopeResponseOK extends DefaultShareScope {
}
export declare type SetDefaultShareScopeResponseError = undefined;
//# sourceMappingURL=share.d.ts.map