/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Attachment } from '../../definitions/attachment';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetIssueAttachmentResponseOK extends Attachment {
}
export declare type GetIssueAttachmentResponseError = undefined;
export interface RemoveIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export declare type RemoveIssueAttachmentResponseOK = undefined;
export declare type RemoveIssueAttachmentResponseError = undefined;
export interface AddIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        fileName: string;
        content: string | ArrayBuffer;
    }[];
}
export interface AddIssueAttachmentResponseOK extends Array<Attachment> {
}
export declare type AddIssueAttachmentResponseError = undefined;
//# sourceMappingURL=attachment.d.ts.map