/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { IssueLinkType, IssueLinkTypes } from '../../../definitions/issue_link_type';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetIssueLinkTypesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetIssueLinkTypesResponseOK extends IssueLinkTypes {
}
export declare type GetIssueLinkTypesResponseError = undefined;
export interface CreateIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    body: IssueLinkType;
}
export interface CreateIssueLinkTypeResponseOK extends IssueLinkType {
}
export declare type CreateIssueLinkTypeResponseError = undefined;
export interface GetIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    issueLinkTypeId: string;
}
export interface GetIssueLinkTypeResponseOK extends IssueLinkType {
}
export declare type GetIssueLinkTypeResponseError = undefined;
export interface DeleteIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    issueLinkTypeId: string;
}
export declare type DeleteIssueLinkTypeResponseOK = undefined;
export declare type DeleteIssueLinkTypeResponseError = undefined;
export interface UpdateIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    issueLinkTypeId: string;
    body: IssueLinkType;
}
export interface UpdateIssueLinkTypeResponseOK extends IssueLinkType {
}
export declare type UpdateIssueLinkTypeResponseError = undefined;
//# sourceMappingURL=type.d.ts.map