/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Priority } from '../../definitions/priority';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetIssuePrioritiesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetIssuePrioritiesResponseOK extends Array<Priority> {
}
export declare type GetIssuePrioritiesResponseError = undefined;
export interface GetIssuePriorityRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetIssuePriorityResponseOK extends Priority {
}
export declare type GetIssuePriorityResponseError = undefined;
//# sourceMappingURL=priority.d.ts.map