/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Resolution } from '../../definitions/resolution';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetIssueResolutionsRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetIssueResolutionsResponseOK extends Array<Resolution> {
}
export declare type GetIssueResolutionsResponseError = undefined;
export interface GetIssueResolutionRequest extends HeadersOption, ErrorStrategyOption {
    id: string | number;
}
export interface GetIssueResolutionResponseOK extends Resolution {
}
export declare type GetIssueResolutionResponseError = undefined;
//# sourceMappingURL=resolution.d.ts.map