/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { IssueRef } from '../../definitions/issue_ref';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetIssueSubTasksRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
}
export interface GetIssueSubTasksResponseOK extends Array<IssueRef> {
}
export declare type GetIssueSubTasksResponseError = undefined;
export interface CanMoveIssueSubTaskRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
}
export declare type CanMoveIssueSubTaskResponseOK = boolean;
export declare type CanMoveIssueSubTaskResponseError = undefined;
export interface MoveIssueSubTasksRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        current: number;
        original: number;
    };
}
export declare type MoveIssueSubTasksResponseOK = undefined;
export declare type MoveIssueSubTasksResponseError = undefined;
//# sourceMappingURL=subtask.d.ts.map