/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { IssueVotes } from '../../definitions/issue_vote';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface RemoveIssueVoteRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
}
export declare type RemoveIssueVoteResponseOK = undefined;
export declare type RemoveIssueVoteResponseError = undefined;
export interface AddIssueVoteRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
}
export declare type AddIssueVoteResponseOK = undefined;
export declare type AddIssueVoteResponseError = undefined;
export interface GetIssueVotesRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
}
export interface GetIssueVotesResponseOK extends IssueVotes {
}
export declare type GetIssueVotesResponseError = undefined;
//# sourceMappingURL=vote.d.ts.map