/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { UserFull } from '../definitions/user';
import { ErrorStrategyOption } from '../errorStrategy';
export interface SetMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Key of the preference to be set.
     */
    key: string;
    body: any;
}
export declare type SetMyPreferenceResponseOK = undefined;
export declare type SetMyPreferenceResponseError = undefined;
export interface RemoveMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Key of the preference to be set.
     */
    key: string;
}
export declare type RemoveMyPreferenceResponseOK = undefined;
export declare type RemoveMyPreferenceResponseError = undefined;
export interface GetMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Key of the preference to be set.
     */
    key: string;
}
export declare type GetMyPreferenceResponseOK = any;
export declare type GetMyPreferenceResponseError = undefined;
export interface GetCurrentUserRequest extends HeadersOption, ErrorStrategyOption {
}
export declare type GetCurrentUserResponseOK = UserFull;
export declare type GetCurrentUserResponseError = undefined;
//# sourceMappingURL=myself.d.ts.map