/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { PermissionGrant, PermissionGrants } from '../../../definitions/permission_scheme';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetPermissionSchemeGrantsRequest extends HeadersOption, ErrorStrategyOption {
    expand?: string;
    schemeId: string | number;
}
export interface GetPermissionSchemeGrantsResponseOK extends PermissionGrants {
}
export declare type GetPermissionSchemeGrantsResponseError = undefined;
export interface CreatePermissionSchemeGrantRequest extends HeadersOption, ErrorStrategyOption {
    expand?: string;
    schemeId: string | number;
    body: PermissionGrant;
}
export interface CreatePermissionSchemeGrantResponseOK extends PermissionGrants {
}
export declare type CreatePermissionSchemeGrantResponseError = undefined;
export interface DeletePermissionSchemeGrantRequest extends HeadersOption, ErrorStrategyOption {
    schemeId: string | number;
    permissionId: string | number;
}
export declare type DeletePermissionSchemeGrantResponseOK = undefined;
export declare type DeletePermissionSchemeGrantResponseError = undefined;
export interface GetPermissionSchemeGrantRequest extends HeadersOption, ErrorStrategyOption {
    expand?: string;
    schemeId: string | number;
    permissionId: string | number;
}
export interface GetPermissionSchemeGrantResponseOK extends PermissionGrant {
}
export declare type GetPermissionSchemeGrantResponseError = undefined;
//# sourceMappingURL=grant.d.ts.map