/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ProjectType } from '../../definitions/project_type';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetProjectTypesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetProjectTypesResponseOK extends Array<ProjectType> {
}
export declare type GetProjectTypesResponseError = undefined;
export interface GetProjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    projectTypeKey: string;
}
export interface GetProjectTypeResponseOK extends ProjectType {
}
export declare type GetProjectTypeResponseError = undefined;
export interface GetAccessibleProjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    projectTypeKey: string;
}
export interface GetAccessibleProjectTypeResponseOK extends ProjectType {
}
export declare type GetAccessibleProjectTypeResponseError = undefined;
//# sourceMappingURL=type.d.ts.map