/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ValidateProjectKeyResponse } from '../../definitions/validate_project_key_response';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface ValidateProjectKeyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * the project key
     */
    key: string;
}
export interface ValidateProjectKeyResponseOK extends ValidateProjectKeyResponse {
}
export declare type ValidateProjectKeyResponseError = undefined;
//# sourceMappingURL=validation.d.ts.map