/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ProjectVersionRelatedIssueCount, ProjectVersionUnresolvedIssueCount } from '../../../definitions/project_version_issue_count';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetProjectVersionRelatedIssueCountRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
}
export interface GetProjectVersionRelatedIssueCountResponseOK extends ProjectVersionRelatedIssueCount {
}
export declare type GetProjectVersionRelatedIssueCountResponseError = undefined;
export interface GetProjectVersionUnresolvedIssueCountRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
}
export interface GetProjectVersionUnresolvedIssueCountResponseOK extends ProjectVersionUnresolvedIssueCount {
}
export declare type GetProjectVersionUnresolvedIssueCountResponseError = undefined;
//# sourceMappingURL=count.d.ts.map