/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Status } from '../../definitions/status';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetWorkflowStatusesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetWorkflowStatusesResponseOK extends Array<Status> {
}
export declare type GetWorkflowStatusesResponseError = undefined;
export interface GetWorkflowStatusRequest extends HeadersOption, ErrorStrategyOption {
    idOrName: string;
}
export interface GetWorkflowStatusResponseOK extends Status {
}
export declare type GetWorkflowStatusResponseError = undefined;
//# sourceMappingURL=status.d.ts.map