/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { StatusCategory } from '../../../definitions/status_category';
import { ErrorStrategyOption } from '../../../errorStrategy';
export interface GetWorkflowStatusCategoriesRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetWorkflowStatusCategoriesResponseOK extends Array<StatusCategory> {
}
export declare type GetWorkflowStatusCategoriesResponseError = undefined;
export interface GetWorkflowStatusCategoryRequest extends HeadersOption, ErrorStrategyOption {
    idOrKey: string;
}
export interface GetWorkflowStatusCategoryResponseOK extends StatusCategory {
}
export declare type GetWorkflowStatusCategoryResponseError = undefined;
//# sourceMappingURL=category.d.ts.map